# Namco WSG instrument editor

the Namco WSG/C15/C30 instrument editor consists of two tabs: Wavetable and Macros.

## Wavetable

this allows you to enable and configure the Furnace wavetable synthesizer. see [this page](wavesynth.md) for more information.

## Macros

- **Volume**: volume sequence.
- **Arpeggio**: pitch sequence.
- **Noise**: specifies noise pitch.
  - only applicable for Namco C30.
- **Waveform**: specifies wavetable sequence.
- **Panning (left)**: output level of left channel.
  - Namco C30 only.
- **Panning (right)**: output level of right channel.
  - Namco C30 only.
- **Pitch**: fine pitch.
